<?xml version="1.0" encoding="UTF-8"?>
<stylesheet
	xmlns="http://www.w3.org/1999/XSL/Transform"
	xmlns:xs="http://www.w3.org/2001/XMLSchema"
	xmlns:svc="http://seaf.sf.net/seaf-service"
	version="2.0">
<import href="SeafServiceBusinessFunctions.xsl" />
<output method="text" />

<template match="svc:description-list">
	<choose>
		<when test="@type='un-ordered'">
		&lt;ul><call-template name="description-list-content-template" />&lt;/ul><text />
		</when>
		<otherwise>
		&lt;ol><call-template name="description-list-content-template" />&lt;/ol><text />
		</otherwise>
	</choose>
</template>

<template name="description-list-content-template">
	<for-each select="svc:description | svc:description-list">
		<choose>
			<when test="local-name(.)='description-list'">
				<apply-templates select="."/>
			</when>
			<otherwise>
		&lt;li><value-of select="."/>&lt;/li><text />
			</otherwise>
		</choose>
	</for-each>
</template>

</stylesheet>
